function getSetup1(fileName)
    setup = Dict()
    # name=string("../json/setupTestUni$latticeSize",".json")
    name=string("./json/$(fileName)",".json")
    open(name, "r") do f
       #global setup
        dicttxt = String(read(f))  # file information to string
        setup=JSON.parse(dicttxt)  # parse and transform data
    end
    return setup
end

function plotFinalDisplacement(name)
    setupViz=getSetup1("$(name)/0")
    maxNumFiles=setupViz["maxNumFiles"]
    setupVizLast=getSetup1("$(name)/$(Int(maxNumFiles-1))");
    nodes=setupVizLast["nodes"]
    disX=[]
    disY=[]
    disZ=[]
    for node in nodes
        append!(disX,[node["displacement"]["x"]])
        append!(disY,[node["displacement"]["y"]])
        append!(disZ,[node["displacement"]["z"]])
    end
    display(scatter(disX,title="x",label=""))
    display(scatter(disY,title="y",label="")) 
    display(scatter(disZ,title="z",label="")) 
end


function plotDisplacementTroughTimeSteps(name,id)
    setupViz=getSetup1("$(name)/0")
    maxNumFiles=setupViz["maxNumFiles"]
    
    disX=[]
    disY=[]
    disZ=[]
    for i in 0:(maxNumFiles-1)
        setupViz=getSetup1("$(name)/$(Int(i))");
        node=setupViz["nodes"][id]
        append!(disX,[node["displacement"]["x"]])
        append!(disY,[node["displacement"]["y"]])
        append!(disZ,[node["displacement"]["z"]])

    end
    display(plot(disX,title="x",label=""))
    display(plot(disY,title="y",label=""))
    display(plot(disZ,title="z",label=""))
end


function plotDisplacementTroughTimeSteps(name)
    setupViz=getSetup1("$(name)/0")
    maxNumFiles=setupViz["maxNumFiles"]
    
    disX=[]
    disY=[]
    disZ=[]
    for i in 0:(maxNumFiles-1)
        setupViz=getSetup1("$(name)/$(Int(i))");
        node=setupViz["nodes"][end]
        append!(disX,[node["displacement"]["x"]])
        append!(disY,[node["displacement"]["y"]])
        append!(disZ,[node["displacement"]["z"]])

    end
    display(plot(disX,title="x",label=""))
    display(plot(disY,title="y",label=""))
    display(plot(disZ,title="z",label=""))
end

function plotStressTroughTimeSteps(name)
    setupViz=getSetup1("$(name)/0")
    maxNumFiles=setupViz["maxNumFiles"]
    
    s=[]
    
    for i in 0:(maxNumFiles-1)
        setupViz=getSetup1("$(name)/$(Int(i))");
        edge=setupViz["edges"][end]
        append!(s,[edge["stress"]])

    end
    display(plot(s,title="x",label=""))
    
end

function plotStressTroughTimeSteps(name,id)
    setupViz=getSetup1("$(name)/0")
    maxNumFiles=setupViz["maxNumFiles"]
    
    s=[]
    
    for i in 0:(maxNumFiles-1)
        setupViz=getSetup1("$(name)/$(Int(i))");
        edge=setupViz["edges"][id]
        append!(s,[edge["stress"]])

    end
    display(plot(s,title="stress",label=""))
    
end

function plotFinalStress(name)
    setupViz=getSetup1("$(name)/0")
    maxNumFiles=setupViz["maxNumFiles"]
    setupVizLast=getSetup1("$(name)/$(Int(maxNumFiles-1))");
    edges=setupVizLast["edges"]
    s=[]
    
    for edge in edges
        append!(s,[edge["stress"]])
        
    end
    # println(s)
    display(scatter(s,title="stress",label=""))
end

function plotStressStrainTroughTimeSteps(name,id)
    setupViz=getSetup1("$(name)/0")
    maxNumFiles=setupViz["maxNumFiles"]
    
    stress=[]
    strain=[]
    
    for i in 0:(maxNumFiles-1)
        setupViz=getSetup1("$(name)/$(Int(i))");
        edge=setupViz["edges"][id]
        node1=setupViz["nodes"][edge["source"]+1]
        node2=setupViz["nodes"][edge["target"]+1]
        p11=Vector3(node1["position"]["x"],
                    node1["position"]["y"],
                    node1["position"]["z"])
        p21=Vector3(node2["position"]["x"],
                    node2["position"]["y"],
                    node2["position"]["z"])
        p1=Vector3( node1["position"]["x"]+node1["displacement"]["x"],
                    node1["position"]["y"]+node1["displacement"]["y"],
                    node1["position"]["z"]+node1["displacement"]["z"])
        p2=Vector3( node2["position"]["x"]+node2["displacement"]["x"],
                    node2["position"]["y"]+node2["displacement"]["y"],
                    node2["position"]["z"]+node2["displacement"]["z"])
        append!(stress,[edge["stress"]])
        append!(strain,[lengthVector3(p1-p2)/lengthVector3(p11-p21)])

    end
    
    display(plot(stress./strain,title="yougs modulus",label=""))
    display(plot(stress,strain,title="stress strain curve",label=""))
    
end


